> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/table-tennis/schedule-endpoints-restful/tournaments-1/tournament-results/response-model.md).

# Response Model

## Event Result Object

| Field Name      | Type   | Description                                               |
| --------------- | ------ | --------------------------------------------------------- |
| teamA           | object | Team Status object containing details for the first team  |
| teamB           | object | Team Status object containing details for the second team |
| winner          | string | The team ID of the winner - TeamA or TeamB                |
| matchScore      | object | The final match score object                              |
| matchExternalId | string | The external match ID for the event                       |
| matchId         | int    | IMG match ID                                              |
| eventId         | string | The event ID of the match                                 |

## Team Status Object

| Field Name | Type   | Description                                                                                                                                                                               |
| ---------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| status     | string | Indicates if the player detail is known for this team. Values are KnownTableTennisTeam, UnknownTableTennisTeam or Bye. For UnknownTableTennisTeam or Bye, no other fields will be present |
| team       | object | A table tennis team object                                                                                                                                                                |

## Team Object

| Field Name | Type   | Description                                                                                        |
| ---------- | ------ | -------------------------------------------------------------------------------------------------- |
| player1    | object | Player object containing details for the first player in the team                                  |
| player2    | object | Player object containing details for the second player in the team. Only present if a doubles team |
| seed       | int    | This team's seeding for the competition                                                            |
| entryType  | string | This team’s entry type for the competition. Possible values are: Qualifier or Standard             |

## Player Object

| Field Name | Type   | Description                               |
| ---------- | ------ | ----------------------------------------- |
| id         | string | Unique identifier for this player         |
| firstName  | string | First name of the player                  |
| lastName   | string | Last name of the player                   |
| country    | string | IOC (Olympic) country code for the player |

## Match Score Object

| Field Name | Type            | Description                             |
| ---------- | --------------- | --------------------------------------- |
| gameScores | array \[object] | The scores in the completed match games |
| gamesA     | int             | Number of games won by TeamA            |
| gamesB     | int             | Number of games won by TeamB            |

## Game Scores Object

| Field Name | Type | Description                   |
| ---------- | ---- | ----------------------------- |
| pointsA    | int  | Number of points won by TeamA |
| pointsB    | int  | Number of points won by TeamB |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/table-tennis/schedule-endpoints-restful/tournaments-1/tournament-results/response-model.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
